'Name: SysInfo
'Version: v1.0

'Author: ZheepmeiZter
'Contact: zheepmeizter@hotmail.com

'Tested on Serious Samurize v1.41

Function LastBoot()
Set DateTime = CreateObject("WbemScripting.SWbemDateTime")
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  DateTime.Value = obj.LastBootUpTime
  LastBoot = DateTime.GetVarDate
  LastBoot = DateAdd("h", -2, LastBoot) 'edit the '-2' value if the boottime is not correct
Next
End Function

Function SystemStatus()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  SystemStatus = obj.Status 
Next
End Function

Function Build()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  Build = obj.BuildNumber
Next
End Function

Function BuildKind()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  BuildKind = obj.BuildType
Next
End Function

Function OSInfo()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  OSInfo = obj.Caption
Next
End Function

Function OSVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  OSVersion = obj.Version
Next
End Function

Function OSDescription()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  OSDescription = obj.Description 
Next
End Function

Function BootDisk()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  BootDisk = obj.BootDevice
Next
End Function

Function Country()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  Country = obj.CountryCode
Next
End Function

Function DateInstalled()
Set DateTime = CreateObject("WbemScripting.SWbemDateTime")
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  DateTime.Value = obj.InstallDate
  DateInstalled = DateTime.GetVarDate
Next
End Function

Function OptimisedFor()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  If obj.LargeSystemCache = 0 Then
    OptimisedFor = "Applications"
  Else
    OptimisedFor = "System"
  End If
Next
End Function

Function RegUser()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  RegUser = obj.RegisteredUser
Next
End Function

Function SPName()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  SPName = obj.CSDVersion
Next
End Function

Function SPMajorVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  SPMajorVersion = obj.ServicePackMajorVersion
Next
End Function

Function SPMinorVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  SPMinorVersion = obj.ServicePackMinorVersion
Next
End Function

Function ProdType()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  Select Case obj.ProductType
    Case 1
      ProdType = "Work Station"
    Case 2
      ProdType = "Domain Controller"
    Case 3
      ProdType = "Server"
    Case Else
      ProdType = "Unkown"
    End Select
Next
End Function

Function PlusPackID()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  PlusPackID = obj.PlusProductID
Next
End Function

Function PlusPackVersion()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  PlusPackVersion = obj.PlusVersionNumber
Next
End Function

Function RegOrg()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  RegOrg = obj.Organization
Next
End Function

Function LoggedInUsers()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  UserNumbers = obj.NumberOfUsers
Next
End Function

Function TopAppBoost()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  Select Case obj.ForegroundApplicationBoost 
    Case 0
      TopAppBoost = "None"
    Case 1
      TopAppBoost = "Min"
    Case 2
      TopAppBoost = "Max"
    Case Else
      TopAppBoost = "Unkown"
  End Select 
Next
End Function

Function EncryptionType()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  EncryptionType = obj.EncryptionLevel 
Next
End Function

Function DistributedOS()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  DistributedOS = obj.Distributed
Next
End Function

Function DebuggingOS()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  DebuggingOS = obj.Debug
Next
End Function

Function GMTOffset()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  GMTOffset = obj.CurrentTimeZone
Next
End Function

Function Scope()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  Scope = obj.CSName
Next
End Function

Function ProcessesCount()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  ProcessesCount = obj.NumberOfProcesses
Next
End Function

Function OS_Serial()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  OS_Serial = obj.SerialNumber
Next
End Function

Function WinDir()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  WinDir = obj.WindowsDirectory
Next
End Function

Function SysDir()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  SysDir = obj.SystemDirectory
Next
End Function

Function WinDrive()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  WinDrive = obj.SystemDrive
Next
End Function

Function WinPartition()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  WinPartition = obj.SystemDevice
Next
End Function

Function RegistrySize()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_Registry")
For Each obj In OSobjs
  RegistrySize = obj.CurrentSize
Next
End Function

Function OSActivated()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_WindowsProductActivation")
For Each obj In OSobjs
  Select Case obj.ActivationRequired 
    Case 0
      OSActivated = "Yes"
    Case 1
      OSActivated = "No, " & obj.RemainingGracePeriod & " days remaining"
  End Select 
Next
End Function

Function CheckIfPrimaryOS()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
For Each obj In OSobjs
  Select Case obj.Primary
    Case True
      CheckIfPrimaryOS = "Yes"
    Case False
      CheckIfPrimaryOS = "No"
  End Select
Next
End Function

Function ScrSav()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_Desktop")
For Each obj In OSobjs
  ScrSav = obj.ScreenSaverExecutable
Next
End Function

Function Wallpaper()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_Desktop")
For Each obj In OSobjs
  Wallpaper = obj.Wallpaper
Next
End Function

Function AdminPassSet()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_ComputerSystem")
For Each obj In OSobjs
  Select Case obj.AdminPasswordStatus
    Case 1
      AdminPassSet = "Disabled"
    Case 2
      AdminPassSet = "Enabled"
    Case 3
      AdminPassSet = "Not Implemented"
    Case 4
      AdminPassSet = "Unknown"
  End Select
Next
End Function

Function ProcessorCount()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_ComputerSystem")
For Each obj In OSobjs
  ProcessorCount = obj.NumberOfProcessors
Next
End Function

Function PCManufacturer()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_ComputerSystem")
For Each obj In OSobjs
  PCManufacturer = obj.Manufacturer
Next
End Function

Function PCModel()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_ComputerSystem")
For Each obj In OSobjs
  PCModel = obj.Model
Next
End Function

Function BootDir()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_BootConfiguration")
For Each obj In OSobjs
  BootDir = obj.BootDirectory
Next
End Function

Function ConfigDir()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_BootConfiguration")
For Each obj In OSobjs
  ConfigDir = obj.ConfigurationPath
Next
End Function

Function TempDir()
Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_BootConfiguration")
For Each obj In OSobjs
  TempDir = obj.TempDirectory
Next
End Function